Subject: Linux-Activists - DOC Channel digest. 93-3-9-19:40
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sat, 10 Apr 1993 02:31:05 +0300

Topics:
	 Formatting tabular output in man pages

----------------------------------------------------------------------

From: David Metcalfe <[email-masked]>
Subject: Formatting tabular output in man pages
Date: Fri, 9 Apr 1993 18:09:01 +0300

I am trying to format output similar to

	struct name {
		int	field1;		/* desc 1 */
		int	field2;		/* desc 2 */
	};

At the moment i am using the following nroff code

 .RS
 .nf
 struct name {
 	 int	   field1;	/* desc 1 */
	 int	   field2;	/* desc 2 */
 };
 .fi
 .RE
	
Unfortunately this doesn't format the way I would expect it to, no
matter what combination of tabs and spaces I use.  The "int field1"
part I can get to format correctly by using spaces.  But the comment
fields don't line up whether I use tabs, spaces or a combination of
the two.  What is the correct way of laying out a structure like this
with the man macros?

David

-- 
David Metcalfe		[email-masked]
London, England		[email-masked]

------------------------------

End of DOC Digest
*****************
-------